package system.battle;

import br.ufsc.inf.leobr.cliente.Jogada;

/**
 * Determina as coordenadas x, y de um objeto num mapa
 */
public class Coordinate implements Jogada {
	private static final long serialVersionUID = -4810768846392698744L;
	
	/**
	 * Coordenada x do objeto.
	 */
	private int xCoordinate;
	/**
	 * Coordenada y do objeto.
	 */
	private int yCoordinate;
	
	/**
	 * Inicializa uma coordenada de um objeto.
	 * @param x - coordenada x no mapa
	 * @param y - coordenada y no mapa
	 */
	public Coordinate(int x, int y) {
		this.xCoordinate = x;
		this.yCoordinate = y;
	}
	
	/**
	 * @return a coordenada X do objeto.
	 */
	public int getX() {
		return xCoordinate;
	}
	
	/**
	 * @return a coordenada Y do objeto.
	 */
	public int getY() {
		return yCoordinate;
	}
}
